summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/ipmon
diff options
context:
space:
mode:
authorgordon <gordon@FreeBSD.org>2002-06-13 22:14:37 +0000
committergordon <gordon@FreeBSD.org>2002-06-13 22:14:37 +0000
commit9c5433cb225f7a4e56e87623ea2e4011179553a5 (patch)
tree3168589e209abd888b033397e3c46dee6131a116 /etc/rc.d/ipmon
parent50d99cdfecd92f5323a18aa791a5b1cb9d8b7191 (diff)
downloadFreeBSD-src-9c5433cb225f7a4e56e87623ea2e4011179553a5.zip
FreeBSD-src-9c5433cb225f7a4e56e87623ea2e4011179553a5.tar.gz
Merge in all the changes that Mike Makonnen has been maintaining for a
while. This is only the script pieces, the glue for the build comes next. Submitted by: Mike Makonnen <makonnen@pacbell.net> Reviewed by: silence on -current and -hackers Prodded by: rwatson
Diffstat (limited to 'etc/rc.d/ipmon')
-rwxr-xr-xetc/rc.d/ipmon28
1 files changed, 24 insertions, 4 deletions
diff --git a/etc/rc.d/ipmon b/etc/rc.d/ipmon
index 6f635c5..52e8400 100755
--- a/etc/rc.d/ipmon
+++ b/etc/rc.d/ipmon
@@ -1,17 +1,37 @@
#!/bin/sh
#
-# $NetBSD: ipmon,v 1.2 2000/05/13 08:45:07 lukem Exp $
+# $NetBSD: ipmon,v 2002/04/18 05:02:01 lukem Exp $
+# $FreeBSD$
#
# PROVIDE: ipmon
# REQUIRE: syslogd
+# BEFORE: SERVERS
+# KEYWORD: FreeBSD NetBSD
. /etc/rc.subr
name="ipmon"
-rcvar=$name
-command="/usr/sbin/${name}"
-command_args="&"
+rcvar=`set_rcvar`
+
+case `${CMD_OSTYPE}` in
+FreeBSD)
+ command="/sbin/ipmon"
+ start_precmd="ipmon_precmd"
+ ;;
+NetBSD)
+ command="/usr/sbin/${name}"
+ command_args="-D"
+esac
+
+ipmon_precmd()
+{
+ # Make sure ipfilter is loaded before continuing
+ if ! sysctl net.inet.ipf.fr_pass >/dev/null 2>&1 ; then
+ return 1
+ fi
+ return 0
+}
load_rc_config $name
run_rc_command "$1"
OpenPOWER on IntegriCloud